> ## Documentation Index
> Fetch the complete documentation index at: https://developers.unbridaled.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Profit Margins

> List all profit margins.

## Returns

A paginated list of profit margin objects with `total`, `offset`, and `limit`.



## OpenAPI

````yaml get /api/v3/profit_margins/list
openapi: 3.1.0
info:
  title: Unbridaled Marketplace Merchant API v3
  description: Developer API to integrate with Unbridaled Marketplace (v3)
  version: 3.0.0
servers:
  - url: https://api-staging.unbridaled.ai
    description: Sandbox API
  - description: Production API
    url: https://api.unbridaled.ai
security:
  - apikeyAuth: []
tags:
  - name: Diamonds
  - name: Inventory
  - name: Orders
  - name: Merchant Templates
  - name: Merchant Addresses
  - name: Profit Margins
  - name: Defaults
paths:
  /api/v3/profit_margins/list:
    get:
      tags:
        - Profit Margins
      summary: List Profit Margins
      description: >-
        List all profit margins.


        ## Returns


        A paginated list of profit margin objects with `total`, `offset`, and
        `limit`.
      parameters:
        - name: offset
          in: query
          description: How many results to skip. Defaults to 0.
          required: false
          schema:
            type: integer
            default: 0
        - name: limit
          in: query
          description: How many results to return. Defaults to 100.
          required: false
          schema:
            type: integer
            default: 100
        - name: product_type
          in: query
          description: >-
            Optional list of product types to filter by (e.g. diamond,
            gemstone).
          required: false
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  profit_margins:
                    type: array
                    items:
                      type: object
                      properties:
                        lab_percent:
                          type: integer
                        merchant_uuid:
                          type: string
                        mined_percent:
                          type: integer
                        price_max:
                          type: integer
                        price_min:
                          type: integer
                        uuid:
                          type: string
                        weight_max:
                          type:
                            - integer
                            - number
                        weight_min:
                          type: integer
                        weight_or_price:
                          type: string
                  total:
                    type: integer
                  offset:
                    type: integer
                  limit:
                    type: integer
              example:
                profit_margins:
                  - lab_percent: 50
                    merchant_uuid: 17497254-56ab-464e-9ba3-fb3e28906d41
                    mined_percent: 35
                    price_max: 0
                    price_min: 0
                    uuid: 3e3cff68-e784-426e-ac60-f6226d365907
                    weight_max: 0.75
                    weight_min: 0
                    weight_or_price: weight
                  - lab_percent: 45
                    merchant_uuid: 17497254-56ab-464e-9ba3-fb3e28906d41
                    mined_percent: 30
                    price_max: 0
                    price_min: 0
                    uuid: e09d659a-d9d0-40ba-9c98-56a32de9105a
                    weight_max: 0.99
                    weight_min: 0.76
                    weight_or_price: weight
                total: 2
                offset: 0
                limit: 100
components:
  securitySchemes:
    apikeyAuth:
      type: http
      scheme: bearer

````